import { GridLayout, Trace } from '@nativescript/core';
import { TabContentItemBase } from './tab-content-item-common';
export * from './tab-content-item-common';
export class TabContentItem extends TabContentItemBase {
    get _hasFragments() {
        return true;
    }
    createNativeView() {
        const layout = new org.nativescript.widgets.GridLayout(this._context);
        layout.addRow(new org.nativescript.widgets.ItemSpec(1, org.nativescript.widgets.GridUnitType.star));
        return layout;
    }
    initNativeView() {
        super.initNativeView();
    }
    _addViewToNativeVisualTree(child, atIndex) {
        // Set the row property for the child
        if (this.nativeViewProtected && child.nativeViewProtected) {
            GridLayout.setRow(child, 0);
        }
        return super._addViewToNativeVisualTree(child, atIndex);
    }
    disposeNativeView() {
        super.disposeNativeView();
        this.canBeLoaded = false;
    }
    _fragmentMatches(fragment) {
        // ensure index AND owner for when 2 tabviews are in the same page
        return fragment.index === this.index && fragment.owner === this.parent;
    }
    _findFragment(fragmentManager) {
        if (!fragmentManager) {
            return null;
        }
        const fragments = fragmentManager.getFragments().toArray();
        for (let i = 0; i < fragments.length; i++) {
            if (fragments[i].index === this.index && fragments[i].owner === this.parent) {
                return fragments[i];
            }
        }
        return null;
    }
    _getChildFragmentManager() {
        const tabView = this.parent;
        let tabFragment = null;
        tabFragment = this._findFragment(tabView._getRootFragmentManager()) || this._findFragment(tabView._getFragmentManager());
        if (!tabFragment) {
            Trace.write(`No fragment found for ${tabView} with index ${this.index}`, Trace.categories.Error, Trace.messageType.error);
            return tabView._getFragmentManager();
        }
        return tabFragment.getChildFragmentManager();
    }
}
//# sourceMappingURL=index.android.js.map