import { Color, CoreTypes, Property } from '@nativescript/core';
import { TabNavigationBase as TabNavigationBaseBase } from '../tab-navigation-base';
import { TabNavigation as TabsDefinition } from '.';
import { TabStripItem } from '../tab-strip-item';
export declare namespace knownCollections {
    const items = "items";
}
export declare enum TabsPosition {
    Top = "top",
    Bottom = "bottom"
}
export declare class TabNavigationBase extends TabNavigationBaseBase implements TabsDefinition {
    swipeEnabled: boolean;
    offscreenTabLimit: number;
    tabsPosition: TabsPosition;
    animationEnabled: boolean;
    rippleColor: Color;
    protected mTextTransform: CoreTypes.TextTransformType;
    protected getItemLabelTextTransform(tabStripItem: TabStripItem): CoreTypes.TextTransformType;
    getTabBarTextTransform(): CoreTypes.TextTransformType;
    getTabBarItemTextTransform(tabStripItem: TabStripItem): CoreTypes.TextTransformType;
    _loadUnloadTabItems(newIndex: number): void;
}
export declare const swipeEnabledProperty: Property<TabNavigationBase, boolean>;
export declare const offscreenTabLimitProperty: Property<TabNavigationBase, number>;
export declare const tabsPositionProperty: Property<TabNavigationBase, TabsPosition>;
export declare const animationEnabledProperty: Property<TabNavigationBase, boolean>;
