/**
 * @module @nativescript-community/ui-material-core-tabs/tab-strip-item
 */
import { AddChildFromBuilder, Image, ImageAsset, ImageSource, Label, View, ViewBase } from '@nativescript/core';
import { TabStripItem as TabStripItemDefinition } from '.';
export declare class TabStripItem extends View implements TabStripItemDefinition, AddChildFromBuilder {
    static tapEvent: string;
    static selectEvent: string;
    static unselectEvent: string;
    image: Image;
    label: Label;
    private mIndex;
    private mTitle;
    private mIconSource;
    private mIconClass;
    private mHighlightedHandler;
    private mNormalHandler;
    private mLabelColorHandler;
    private mLabelFontHandler;
    private mLabelTextTransformHandler;
    private _labelTextHandler;
    private mImageColorHandler;
    private mImageFontHandler;
    private mImageSrcHandler;
    get index(): number;
    set index(value: number);
    get title(): string;
    set title(value: string);
    get iconClass(): string;
    set iconClass(value: string);
    get iconSource(): string | ImageSource | ImageAsset;
    set iconSource(value: string | ImageSource | ImageAsset);
    onLoaded(): void;
    onUnloaded(): void;
    eachChild(callback: (child: ViewBase) => boolean): void;
    _addChildFromBuilder(name: string, value: any): void;
    requestLayout(): void;
    _updateTabStateChangeHandler(subscribe: boolean): void;
}
