import { AddArrayFromBuilder, AddChildFromBuilder, Color, CssProperty, Property, Style, View, ViewBase } from '@nativescript/core';
import { TabStripItem } from '../tab-strip-item';
import { TabStrip as TabStripDefinition } from '.';
export declare const highlightColorProperty: CssProperty<Style, Color>;
export declare const selectedItemColorProperty: CssProperty<Style, Color>;
export declare const unSelectedItemColorProperty: CssProperty<Style, Color>;
export declare class TabStrip extends View implements TabStripDefinition, AddChildFromBuilder, AddArrayFromBuilder {
    static itemTapEvent: string;
    items: TabStripItem[];
    isIconSizeFixed: boolean;
    iosIconRenderingMode: 'automatic' | 'alwaysOriginal' | 'alwaysTemplate';
    /**
     * defines the highlight color of the TabStrip item
     * can be defined through css `highlight-color`
     */
    highlightColor: Color;
    selectedItemColor: Color;
    unSelectedItemColor: Color;
    /** @hidden */
    _hasImage: boolean;
    /** @hidden */
    _hasTitle: boolean;
    eachChild(callback: (child: ViewBase) => boolean): void;
    _addArrayFromBuilder(name: string, value: any[]): void;
    _addChildFromBuilder(name: string, value: any): void;
    onItemsChanged(oldItems: TabStripItem[], newItems: TabStripItem[]): void;
}
export declare const iosIconRenderingModeProperty: Property<TabStripDefinition, "automatic" | "alwaysOriginal" | "alwaysTemplate">;
export declare const isIconSizeFixedProperty: Property<TabStripDefinition, boolean>;
